## LassoLibRegisterNameIdentifierResponse

LassoLibRegisterNameIdentifierResponse — <lib:RegisterNameIdentifierResponse>

## Functions

LassoNode * | lasso_lib_register_name_identifier_response_new ()
LassoNode * | lasso_lib_register_name_identifier_response_new_full ()

## Types and Values

struct | LassoLibRegisterNameIdentifierResponse

## Description

Figure 16. Schema fragment for lib:RegisterNameIdentifierResponse

    <xs:element name="RegisterNameIdentifierResponse" type="StatusResponseType"/>

## Functions

### lasso_lib_register_name_identifier_response_new ()

    LassoNode *
    lasso_lib_register_name_identifier_response_new
                                   (void);

Creates a new LassoLibRegisterNameIdentifierResponse object.

#### Returns

a newly created LassoLibRegisterNameIdentifierResponse object

### lasso_lib_register_name_identifier_response_new_full ()

    LassoNode *
    lasso_lib_register_name_identifier_response_new_full
                                   (const char *providerID,
                                    const char *statusCodeValue,
                                    LassoLibRegisterNameIdentifierRequest *request,
                                    LassoSignatureType sign_type,
                                    LassoSignatureMethod sign_method);

Creates a new LassoLibRegisterNameIdentifierResponse object and initializes it with the parameters.

#### Parameters

providerID | the providerID of the responder |
statusCodeValue | a response status code |
request | the request which is answered by this response |
sign_type | a LassoSignatureType value |
sign_method | a LassoSignatureMethod value |

#### Returns

a newly created LassoLibRegisterNameIdentifierResponse object

## Types and Values

### struct LassoLibRegisterNameIdentifierResponse

    struct LassoLibRegisterNameIdentifierResponse {
    	LassoLibStatusResponse parent;
    };